This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 577059 - HSM Failure while ejecting disc images on KVM guest
HSM Failure while ejecting disc images on KVM guest
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F13Target
  Show dependency treegraph
 
Reported: 2010-03-25 19:47 EDT by James Laska
Modified: 2013-09-02 02:47 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:17:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot.png (89.06 KB, image/png)
2010-03-25 19:47 EDT, James Laska
no flags Details
/tmp/log* (tgz) (59.21 KB, application/x-gzip)
2010-03-25 19:49 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2010-03-25 19:47:33 EDT
Created attachment 402719 [details]
Screenshot.png

Description of problem:

 * When installing F-13-Beta-TC1 on a KVM guest of an F12 host, the install does not like

Version-Release number of selected component (if applicable):
 * anaconda-13.36 (guest install)

F12 host packages:
 * kernel-2.6.32.9-70.fc12.x86_64
 * libvirt-0.7.1-15.fc12.x86_64
 * python-virtinst-0.500.1-2.fc12.noarch
 * qemu-kvm-0.11.0-13.fc12.x86_64
 * qemu-system-x86-0.11.0-13.fc12.x86_64
 * virt-manager-0.8.2-1.fc12.noarch

How reproducible:
 * 3 out of 3 attempts

Steps to Reproduce:
1. Perform the following test on a KVM guest of a F12 virt host

https://fedoraproject.org/wiki/QA/TestCases/InstallSourceCdrom
  
Actual results:

 * See attached Screenshot.png

Expected results:

 * Usually, I have no problem changing discs

Additional info:
Comment 1 James Laska 2010-03-25 19:49:59 EDT
Created attachment 402721 [details]
/tmp/log* (tgz)

= Description of problem =

 * When installing F-13-Beta-TC1 on a KVM guest of an F12 host, the install does not allow switching to additional CD media.  I've tried it many times, and each time it presents a dialog indicating that the requested package on the next disc cannot be opened (see attached screenshot).  The ISO files match the posted sha256sums.
Comment 2 Chris Lumens 2010-03-26 10:44:39 EDT
Isn't it a well-known problem doing split media installs with KVM that once media has been ejected, it's now detached from the VM and you have to go through special steps to get it reattached?  Or has that since been fixed and now this is entirely our problem?
Comment 3 James Laska 2010-03-26 10:54:31 EDT
Yeah(In reply to comment #2)
> Isn't it a well-known problem doing split media installs with KVM that once
> media has been ejected, it's now detached from the VM and you have to go
> through special steps to get it reattached?  Or has that since been fixed and
> now this is entirely our problem?    

Yeah, you have to disconnect the CD, and then re-attach it.  That's the procedure I've been doing since F-12.  It could be broken, maybe jforbes has thoughts here?
Comment 4 Chris Lumens 2010-04-01 16:16:14 EDT
There are lots of read errors in your syslog.

23:35:16,031 INFO kernel:attempt to access beyond end of device
23:35:16,031 INFO kernel:sr0: rw=0, want=1390980, limit=1382588
23:35:16,032 ERR kernel:Buffer I/O error on device sr0, logical block 347744
Comment 5 Chuck Ebbert 2010-04-10 08:29:31 EDT
(In reply to comment #4)
> There are lots of read errors in your syslog.
> 
> 23:35:16,031 INFO kernel:attempt to access beyond end of device
> 23:35:16,031 INFO kernel:sr0: rw=0, want=1390980, limit=1382588
> 23:35:16,032 ERR kernel:Buffer I/O error on device sr0, logical block 347744    

The read errors are probably because the kernel thinks the previous disk is still present, and it was larger than the one that's there now.
Comment 6 Adam Williamson 2010-04-16 15:24:22 EDT
Discussed at today's blocker review meeting. We accept this as a blocker: it violates Beta criterions "The release must boot successfully as a virtual guest in a situation where the virtual host is running the previous stable Fedora release (using Fedora's current preferred virtualization technology)" and "The installer must boot (if appropriate) and run on all primary architectures from default live image, DVD, multi-CD, and boot.iso install media", in combination.

https://fedoraproject.org/wiki/Fedora_13_Beta_Release_Criteria



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Adam Williamson 2010-04-23 14:08:31 EDT
As of 04/23 blocker meeting this remains a blocker. Justin believes he may have a fix for this soon.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Justin M. Forbes 2010-04-27 01:30:22 EDT
Updating the summary to be a bit more accurate.  This failure happens anytime you eject cdrom from a kvm guest where the cdrom is an ISO image from the host.  This happens in F-12 guests as well, yet seems to work fine from the anaconda disc tester, leading me to believe that hal may be involved.  The kvm monitor shows a correct status in all cases (disc is successfully detached).
Comment 9 Adam Williamson 2010-04-30 14:56:26 EDT
Discussed at today's blocker meeting. Can be fixed as an update - fix doesn't need to go into release images. Agreed to drop to F13Target.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Bill McGonigle 2010-05-03 15:49:39 EDT
Is this the same as bug 582005 ?  The symptoms sound similar, and if it's the same there's a fix-in-hand.
Comment 11 Bug Zapper 2011-06-02 11:54:46 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2011-06-27 11:17:49 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.